Subject: Re: git-clone file permissions and cpio

From: Paolo Bonzini <[email-masked]>
Date: Mon, 21 Apr 2008 13:41:54 +0200

> I got some kind of working behaviour with the diff below, which stops 
> cpio 'fixing' the file permissions (only on the directories). But it 
> seems the underlying cause is cpio trying to copy file permissions which 
> it would be better off not doing in this case (and which there isn't a 
> flag to disable).

I don't think you want to have the setgid bit on files, only on 
directories, so your patch seems okay to me.

Paolo